Page MenuHomeFreeBSD

emulators/linux_base-c6: fix build/packaging as unprivileged user.
ClosedPublic

Authored by xmj on Oct 21 2014, 12:06 PM.

Details

Reviewers
swills
koobs
Summary

As Matthias Andree reported in 193848,
due to permissions CentOS 6.5 cannot currently be built / installed as
non-privileged user.

Fix this by using pre-extract to extract the filesystem and setup RPMs,
and subsequently fix flawed permissions.

emulators/linux_base-c6: fix build/packaging as unprivileged user.

- Allow build/packaging as unprivileged user.

PR:	193848
(Diffrev: placeholder)
Submitted by:	mandree
Approved by:	swills (mentor)
Test Plan

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

xmj updated this revision to Diff 2079.Oct 21 2014, 12:06 PM
xmj retitled this revision from to emulators/linux_base-c6: fix build/packaging as unprivileged user..
xmj updated this object.
xmj edited the test plan for this revision. (Show Details)
xmj added reviewers: swills, koobs.
swills accepted this revision.Oct 25 2014, 2:31 PM
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Oct 25 2014, 2:31 PM
xmj closed this revision.Oct 27 2014, 1:11 PM

Committed revision 371573.